## ros-kinetic-moveit-ros-control-interface 0.9.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_control_interface)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  controller_manager_msgs
  moveit_core
  moveit_simple_controller_manager
  pluginlib
  trajectory_msgs
)
## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
  CATKIN_DEPENDS moveit_core
  DEPENDS Boost
)

# support indigo's ros_control - This can be removed upon EOL indigo
if("${controller_manager_msgs_VERSION}" VERSION_LESS "0.10.0")
  add_definitions(-DMOVEIT_ROS_CONTROL_INTERFACE_OLD_ROS_CONTROL)
endif()

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}_plugin
  src/controller_manager_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_plugin PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}_plugin
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

add_library(${PROJECT_NAME}_trajectory_plugin
  src/joint_trajectory_controller_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_trajectory_plugin PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}_trajectory_plugin
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_plugin ${PROJECT_NAME}_trajectory_plugin
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES moveit_core_plugins.xml moveit_ros_control_interface_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_canopen_master.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-moveit-ros-control-interface (0.9.18-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.17-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.16-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.15-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.14-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.13-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.12-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.11-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.10-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.9-1xenial) xenial; urgency=high

  * [improve] add backward compatibility patch for indigo (#551 <https://github.com/ros-planning/moveit/issues/551>)
  * Contributors: Michael Görner

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.8-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.7-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 04 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.6-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 11 Apr 2017 22:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.5-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 07 Mar 2017 23:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.4-1xenial) xenial; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Michael Goerner

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 05 Feb 2017 23:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.9.3-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 15 Nov 2016 23:00:00 -0000

ros-kinetic-moveit-ros-control-interface (0.5.7-1xenial) xenial; urgency=high

  * C++03 conforming nested templates
  * fixed typo, added example config
  * added brief decription tags
  * formatted code to roscpp style
  * improved documentation
  * introduced getAbsName
  * Added missing lock
  * pre-allocate handles
  * fixed typos
  * set version to match the others
  * fixed a lot of typos
  * Intitial version of moveit_ros_control_interface package
  * Contributors: Mathias Luedtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 29 Jan 2016 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-moveit-ros-control-interface
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-controller-manager-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-pluginlib (>= 1.10.4), ros-kinetic-trajectory-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-ros-control-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-controller-manager-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-pluginlib (>= 1.10.4), ros-kinetic-trajectory-msgs
Description: ros_control controller manager interface for MoveIt!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-moveit-ros-control-interface//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
